MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027285Community[OCCT] OCCT:Visualizationpublic2016-03-18 11:082016-04-20 15:49
Reportersolomin_s 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027285: Visualization - selection of AIS_MultipleConnectedInteractive is broken
DescriptionAIS_InteractiveContext::AddOrRemoveSelected() method dows not work for AIS_MultipleConnectedInteractive objects.
Steps To Reproducepload ALL
vinit
vsetdispmode 1
box b 100 100 100
vdisplay b
vconnect bc 0 0 300 b
vchangeselected b
vchangeselected bc
TagsNo tags attached.
Test case numberbugs vis bug27285
Attached Filespng file icon 6.9.1.png (2,398 bytes) 2016-03-18 11:08
png file icon 7.0.0.rc.png (2,384 bytes) 2016-03-18 11:08

- Relationships

-  Notes
(0051782)
git (administrator)
2016-03-18 14:27

Branch CR27285 has been created by vpa.

SHA-1: 57f552e5df1972571fd8fa7c5a2b9e379c713fb4


Detailed log of new commits:

Author: vpa
Date: Fri Mar 18 14:26:07 2016 +0300

    0027285: Visualization - selection of AIS_MultipleConnectedInteractive is broken
    
    - method SelectMgr_SelectableObject::HasSelection became virtual, unnecessary variable was removed;
    - redefined HasSelection method for multiple connected interactives;
    - AIS_InteractiveContext::AddOrRemoveSelected was corrected to use global selection owner;
    - test case for issue 0027285
(0051783)
vpa (developer)
2016-03-18 14:29

Dear Kirill,

please review patch in branch CR27285.
(0051784)
kgv (developer)
2016-03-18 14:35

Please test the patch.
(0051822)
apv (tester)
2016-03-21 16:25

Dear BugMaster,

Branch CR27285 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 57f552e5df1972571fd8fa7c5a2b9e379c713fb4

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 0 (0 on master)
products component:
   Linux: 68
   Windows: 0
   MacOS: 1127

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug27285 - OK
http://occt-tests/CR27285-master-OCCT/Debian70-64/bugs/vis/bug27285.html [^]
http://occt-tests/CR27285-master-OCCT/Windows-64-VC10/bugs/vis/bug27285.html [^]

Testing on Linux:
Total MEMORY difference: 90260734 / 89898306 [+0.40%]
Total CPU difference: 19375.069999999938 / 19349.469999999998 [+0.13%]

Testing on Windows:
Total MEMORY difference: 57443627 / 58017615 [-0.99%]
Total CPU difference: 18925.978919598605 / 18103.619648098836 [+4.54%]
(0052790)
git (administrator)
2016-04-17 12:57

Branch CR27285 has been deleted by kgv.

SHA-1: 57f552e5df1972571fd8fa7c5a2b9e379c713fb4

- Related Changesets
occt: master 7411850a
Timestamp: 2016-03-18 11:26:07
Author: vpa
Committer: bugmaster
Details ] Diff ]
0027285: Visualization - selection of AIS_MultipleConnectedInteractive is broken

- method SelectMgr_SelectableObject::HasSelection became virtual, unnecessary variable was removed;
- redefined HasSelection method for multiple connected interactives;
- AIS_InteractiveContext::AddOrRemoveSelected was corrected to use global selection owner;
- test case for issue 0027285
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.hxx Diff ] File ]
add - tests/bugs/vis/bug27285 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-18 11:08 solomin_s New Issue
2016-03-18 11:08 solomin_s Assigned To => kgv
2016-03-18 11:08 solomin_s File Added: 6.9.1.png
2016-03-18 11:08 solomin_s File Added: 7.0.0.rc.png
2016-03-18 14:27 git Note Added: 0051782
2016-03-18 14:28 vpa Summary [Regression] Selection of AIS_MultipleConnectedInteractive is broken => Visualization - selection of AIS_MultipleConnectedInteractive is broken
2016-03-18 14:29 vpa Note Added: 0051783
2016-03-18 14:29 vpa Status new => resolved
2016-03-18 14:35 kgv Note Added: 0051784
2016-03-18 14:35 kgv Assigned To kgv => bugmaster
2016-03-18 14:35 kgv Status resolved => reviewed
2016-03-18 15:02 apv Assigned To bugmaster => apv
2016-03-21 14:58 bugmaster Changeset attached => occt master 7411850a
2016-03-21 14:58 bugmaster Assigned To apv => bugmaster
2016-03-21 14:58 bugmaster Status reviewed => verified
2016-03-21 14:58 bugmaster Resolution open => fixed
2016-03-21 16:23 apv Test case number => bugs vis bug27285
2016-03-21 16:25 apv Note Added: 0051822
2016-04-17 12:57 git Note Added: 0052790
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:49 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker